Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.typehandling
Class GroovyCastException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.ClassCastException
                      org.codehaus.groovy.runtime.typehandling.GroovyCastException

All Implemented Interfaces:
  Serializable

    public class GroovyCastException
    extends ClassCastException

See Also:
  Serialized Form

Constructor Summary
Constructor and Description
`GroovyCastException(Object objectToCast, Class classToCastTo)`
`GroovyCastException(Object objectToCast, Class classToCastTo, Exception cause)`
`GroovyCastException(String message)`

Method Summary
Modifier and Type | Method and Description
--- | ---

Methods inherited from class java.lang.Throwable
`addSuppressedException, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroovyCastException

    public GroovyCastException(Object objectToCast,
                               Class classToCastTo,
                               Exception cause)

  Parameters:
    `objectToCast` - object we tried to cast
    `classToCastTo` - class we tried to cast to
    `cause` - not kept but we pass on message from this Exception if any

### GroovyCastException

    public GroovyCastException(Object objectToCast,
                               Class classToCastTo)

  Parameters:
    `objectToCast` - object we tried to cast
    `classToCastTo` - class we tried to cast to

### GroovyCastException

    public GroovyCastException(String message)

  Parameters:
    `message` - custom Exception message

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD